Base class for all SmoScore modifiers. It is used to de/serialize the objects.

param ctor

  constructor for derived class

param logicalBox

  bounding box in SVG coordinates, if rendered

param attrs

  object identification

### Hierarchy

- SmoScoreModifierBase
  - SmoScoreText
  - SmoTextGroup
  - SmoFormattingManager
  - SmoAudioPlayerSettings
  - SmoPageLayout
  - SmoLayoutManager
  - SmoSystemGroup

### Implements

- SmoModifierBase

## Index

### Constructors

- constructor

## Constructors

### constructor

- new SmoScoreModifierBase(ctor: string): SmoScoreModifierBase

- - Defined in src/smo/data/scoreModifiers.ts:28

  #### Parameters

  - ##### ctor: string

  #### Returns SmoScoreModifierBase

Generated using TypeDoc